=== debian/changelog ===
opencpn-plugin-tactics (1.0.009-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 12 Aug 2019 16:14:36 -0700

opencpn-plugin-tactics (1.0.009-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 12 Aug 2019 16:08:41 -0700

opencpn-plugin-tactics (1.0.009-0~disco1) disco; urgency=low

  * Version 1.0.009

 -- Dave Register <bdbcat@yahoo.com>  Sun, 26 May 2019 23:30:48 -0400

opencpn-plugin-tactics (1.0.008-0~cosmic1) cosmic; urgency=low

  * Version 1.0.008

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 20:39:11 -0400

opencpn-plugin-tactics (1.0.008-0~bionic1) bionic; urgency=low

  * Version 1.0.008

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 20:39:11 -0400

opencpn-plugin-tactics (1.0.008-0~xenial1) xenial; urgency=low

  * Version 1.0.008

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 20:39:11 -0400

opencpn-plugin-tactics (1.0.008-0~trusty1) trusty; urgency=low

  * Version 1.0.008

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 20:39:11 -0400

opencpn-plugin-tactics (1.0001.0-0~cosmic1) cosmic; urgency=low

  * Version 1.0001.0

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 10:32:05 -0400

opencpn-plugin-tactics (1.0001.0-0~bionic1) bionic; urgency=low

  * Version 1.0001.0

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 10:32:05 -0400

opencpn-plugin-tactics (1.0001.0-0~xenial1) xenial; urgency=low

  * Version 1.0001.0

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 10:32:05 -0400

opencpn-plugin-tactics (1.0001.0-0~trusty1) trusty; urgency=low

  * Version 1.0001.0

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 10:32:05 -0400
